Borrador BezCurva

From FreeCAD Documentation
Jump to navigation Jump to search
This page is a translated version of the page Draft BezCurve and the translation is 74% complete.
Other languages:
Deutsch • ‎English • ‎Türkçe • ‎español • ‎français • ‎italiano • ‎polski • ‎română • ‎svenska • ‎čeština • ‎русский
Arrow-left.svg Draft CubicBezCurve.svg CubicBezCurva Anterior:
Siguiente: Punto Draft Point.svg Arrow-right.svg

Draft BezCurve.svg Borrador BezCurva

Ubicación en el Menú
Dibujo → Herramientas Bézier → Curva Bézier
Entornos de trabajo
Borrador, Architectura
Atajo de teclado por defecto
Ninguno
Introducido en versión
0.14
Ver también
Borrador CubicBezCurva, Borrador BSpline

Descripción

El comando Draft BezCurve.svg Borrador BezCurva crea una Curva de Bézier a partir de varios puntos.

El comando crea una única curva de Bézier con una DataDegree que es number_of_points - 1. Se puede transformar en una curva Bézier a trozos reduciendo esta propiedad.

Los comandos Borrador CubicBezCurva utilizan puntos de control para definir la posición y la curvatura de la spline. El comando Borrador BSpline, en cambio, especifica los puntos exactos por los que pasará la curva

Draft BezCurve Example.png

Curva de Bézier definida por múltiples puntos

Utilización

Ver también: Bandeja Borrador, Borrador Atrapar y Borrador Restricción.

  1. Hay varias formas de invocar el comando:
    • Pulsar el Draft BezCurve.svg Borrador BezCurve.
    • Seleccione la opción Redacción → Herramientas Bézier → Draft BezCurve.svg Curva de Bézier en el menú.
  2. Se abre el panel de tareas Curva de Bézier. Ver Opciones para más información.
  3. Escoge el primer punto en la Vista 3D, o escribe coordenadas y pulsa el Template:Botón botón.
  4. Escoge puntos adicionales en la Vista 3D, o escribe coordenadas y pulsa el 16px Introducir punto botón.
  5. Pulse Esc o el botón Close para finalizar el comando.

Opciones

Los atajos de teclado de un solo carácter disponibles en el panel de tareas se pueden cambiar. Ver Preferencias de Borrador. Los atajos mencionados aquí son los atajos por defecto.

  • To manually enter coordinates enter the X, Y and Z component, and press Enter after each. Or you can press the Draft AddPoint.svg Enter point button when you have the desired values. It is advisable to move the pointer out of the 3D view before entering coordinates.
  • Press R or click the Relative checkbox to toggle relative mode. If relative mode is on, coordinates are relative to the last point, if available, else they are relative to the coordinate system origin.
  • Press G or click the Global checkbox to toggle global mode. If global mode is on, coordinates are relative to the global coordinate system, else they are relative to the working plane coordinate system. introduced in version 0.20
  • Press L or click the Filled checkbox to toggle filled mode. If filled mode is on, the created curve will have DataMake Face set to true and will have a filled face, provided it is closed and does not self-intersect. Note that a self-intersecting curve with a face will not display properly, for such a curve DataMake Face must be set to false.
  • Press T or click the Continue checkbox to toggle continue mode. If continue mode is on, the command will restart after using Draft FinishLine.svg Finish or Draft CloseLine.svg Close, or after creating a closed curve by snapping to the first point of the curve, allowing you to continue creating curves.
  • Press the Draft UndoLine.svg Undo button to undo the last point. The Ctrl+Z keyboard shortcut currently does not work.
  • Press A or the Draft FinishLine.svg Finish button to finish the command and leave the curve open.
  • Press O or the Draft CloseLine.svg Close button to finish the command and close the curve. A closed curve can also be created by snapping to the first point of the curve.
  • Press W or the Draft Wipe.svg Wipe button to delete the segments already placed, but keep working from the last point.
  • Press U or the Draft SelectPlane.svg Set WP button to adjust the current working plane in the orientation defined by the last and the previous point.
  • Press Esc or the Close button to finish the command.

Notas

  • Un Borrador de Curva de Bézier puede ser editado con el comando Borrador Edición.
  • OpenCascade, y por tanto FreeCAD, no soporta curvas Bézier de grados superiores a 25. Esto no debería ser un problema en la práctica, ya que la mayoría de los usuarios suelen utilizar curvas Bézier de grados 3 a 5.

Propiedades

Ver también: Editor de propiedades.

Un objeto Draft BezCurva deriva de un Pieza2DObjeto y hereda todas sus propiedades. También tiene las siguientes propiedades adicionales:

Datos

Draft

  • DataArea (Area): (read-only) specifies the area of the face of the curve. The value will be 0.0 if DataMake Face if false or the face cannot be created.
  • DataClosed (Bool): specifies if the curve is closed or not. If the curve is initially open this value is false, setting it to true will draw a segment to close the curve. If the curve is initially closed this value is true, setting it to false will remove the last segment and make the curve open.
  • DataContinuity (IntegerList): (read-only) specifies the continuity of the curve.
  • DataDegree (Integer): specifies the degree of the curve.
  • DataLength (Length): (read-only) specifies the total length of the curve.
  • DataMake Face (Bool): specifies if the curve makes a face or not. If it is true a face is created, otherwise only the perimeter is considered part of the object. This property only works if DataClosed is true and if the curve does not self-intersect.
  • DataPoints (VectorList): specifies the control points of the curve in its local coordinate system.

Vistas

Draft

  • ViewArrow Size (Length): specifies the size of the symbol displayed at the end of the curve.
  • ViewArrow Type (Enumeration): specifies the type of symbol displayed at the end of the curve, which can be Dot, Circle, Arrow, Tick or Tick-2.
  • ViewEnd Arrow (Bool): specifies whether to show a symbol at the end of the curve, so it can be used as an annotation line.
  • ViewPattern (Enumeration): specifies the Draft Pattern with which to fill the face of the closed curve. This property only works if DataMake Face is true and if ViewDisplay Mode is Flat Lines.
  • ViewPattern Size (Float): specifies the size of the Draft Pattern.

Scripting

See also: Autogenerated API documentation and FreeCAD Scripting Basics.

To create a Draft Line use the make_bezcurve method (introduced in version 0.19) of the Draft module. This method replaces the deprecated makeBezCurve method.

bezcurve = make_bezcurve(pointslist, closed=False, placement=None, face=None, support=None, degree=None)
bezcurve = make_bezcurve(Part.Wire, closed=False, placement=None, face=None, support=None, degree=None)
  • Creates a bezcurve object with the given list of points, pointslist.
    • Each point in the list is defined by its FreeCAD.Vector, with units in millimeters.
    • Alternatively, the input can be a Part.Wire, from which points are extracted.
  • If closed is True, or if the first and last points are identical, the curve is closed.
  • If placement is None the curve is created at the origin.
  • If face is True, and the curve is closed, the curve will make a face, that is, it will appear filled.

Ejemplo:

import FreeCAD as App
import Draft

doc = App.newDocument()

p1 = App.Vector(0, 0, 0)
p2 = App.Vector(1000, 1000, 0)
p3 = App.Vector(2000, 0, 0)
p4 = App.Vector(1500, -2000, 0)

bezcurve1 = Draft.make_bezcurve([p1, p2, p3, p4], closed=True)
bezcurve2 = Draft.make_bezcurve([p4, 1.3*p2, p1, 4.1*p3], closed=True)
bezcurve3 = Draft.make_bezcurve([1.7*p3, 1.5*p4, 2.1*p2, p1], closed=True)

doc.recompute()


Arrow-left.svg Draft CubicBezCurve.svg CubicBezCurva Anterior:
Siguiente: Punto Draft Point.svg Arrow-right.svg